Issue 61892 - Trim spaces does not work for fields in mail merge from DBFs via ODBC
Summary: Trim spaces does not work for fields in mail merge from DBFs via ODBC
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: formatting (show other issues)
Version: OOo 2.0.1
Hardware: PC Windows, all
: P3 Trivial with 1 vote (vote)
Target Milestone: ---
Assignee: marc.neumann
QA Contact: issues@sw
URL:
Keywords: needmoreinfo, oooqa
Depends on:
Blocks:
 
Reported: 2006-02-10 12:05 UTC by bhavbhuti
Modified: 2017-05-20 10:29 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description bhavbhuti 2006-02-10 12:05:27 UTC
Hi all

I have successfully put in FoxPro for DOS 2.5b fields (via ODBC as opposed to
using them straight as dBase files/fields see my previous issues) into a mail
merge document and have also printed out successfully the merged letter.

The problem now remains is additional space in the field, like for example
between City, State
Code:
Rajkot         , Gujarat


The Chapter 11 had instruction to hide empty field space but I could not find
anything for additional spaces.

The fields are showing properly in F4 data window.  I have confirmed there are
no additional non-space space trailing in the fields that may have created
problem with the trimming the word processor.

Please take corrective actions.
Comment 1 michael.ruess 2006-02-10 12:19:21 UTC
Reassigned to HI.
Comment 2 h.ilter 2006-02-10 14:52:21 UTC
Please provide a sample of your document layout and such database to evaluate
Comment 3 h.ilter 2006-02-13 15:43:10 UTC
HI->MSC: Please take a look. I'll foward you the mail from reporter.
Comment 4 bhavbhuti 2006-02-21 10:56:26 UTC
This is reproduciable also using VFP OLE DB instead of ODBC.
Comment 5 foxy 2006-03-17 09:13:02 UTC
hi there!
I have the same problem .. I need Mail merge with a VFP database via ODBC or 
FoxPro 2.6 doesn't metter... and I cannot get rid of additional spaces in the 
table fields .. if you have a solution regarding this problem  .. please help 
me !
If you find a solution on that problem ... then the mail merge will be more 
than PERFECT. 
I have tried almost anything i could imagine but with no success !
my e-mail: foxy@home.ro or foxy09ro@gmail.com
Comment 6 foxy 2006-03-17 10:04:05 UTC
I'm sorry, with a FoxPro 2.6 table in OOo 2.0.2 it works fine, it trimms al 
unwanted spaces.
So it doesn't work with a VFP table via ODBC ... because the OOo Base sets the 
fields to type Text(fix)Varchar or something like that.
Thank you again and continue your fine work at OpenOffice project ... it's 
fantastic.
Comment 7 ace_dent 2008-05-15 12:46:00 UTC
This Issue requires more information ('needmoreinfo'), but has not been updated
within the last year. Please re-test with one of the latest versions of OOo -
the problem(s) may have already been addressed. Either use the recent stable
version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be closed or progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further :
http://www.openoffice.org/issues/query.cgi
 
Regards,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
Comment 8 bhavbhuti 2008-05-15 13:32:30 UTC
Hey people, thanks a lot for a great product.  This problem is now resolved in
2.4.0.  If it matter this data is coming from an .odb file which uses the .dbf
file.  I don't remember why I have done it the way I have done it but being an
infrequent and only mailmerge I am using I haven't gone deep except for setting
up and getting results and left it like that for some time now.  Thanks.
Comment 9 cno 2009-07-10 10:05:20 UTC
Thanks bhavbhuti: According to your report, this is fixed in the mean time.
 > set to fixed
(I saw this issue while lokking at other mail merge issues.)

Comment 10 bhavbhuti 2009-07-10 10:41:26 UTC
Thanks comouws, which version should I look forwards to seeing this better behavior.